#include "xgfxtexture.h"

#include "xd3dbasetexture.h"
#include "xgfximageloaddef.h"

XGfxTexture::XGfxTexture()
    : XAsset()
    , mBaseMap()
    , mMap()
    , mVolMap()
    , mCubeMap()
    , mLoadDef(nullptr)
{
    SetName("GFX Texture");
}

XGfxTexture::~XGfxTexture()
{
    
}

void XGfxTexture::ParseData(XDataStream *aStream)
{
    if (GetPtr() == -1 || GetPtr() == -2)
    {
        mLoadDef = new XGfxImageLoadDef();
        mLoadDef->ParseData(aStream);
    }
}

void XGfxTexture::Clear()
{
    
}
